MCE(8)

NAMN
mce - ett program som tillhandahåller lägeskontrollfunktionalitet

SYNOPSIS
mce [FLAGGA]...

BESKRIVNING
mce är ett program som tillhandahåller lägeskontrollfunktionalitet och agerar som en D-Bus-förmedlare mellan dsme(8) och diverse tillämpningar.

När programmet startas läser det in vilket systemläge som skall användas från systemlägesfilen och växlar sedan till det läget. När så har skett kontrolleras huruvida användaren skall måste ange lösenordet för enhetslåset eller ej. Om så är fallet kommer låsdialogen osso-systemui-devlock(8) att startas. Även devlock-blocker(8) är involverad i denna process.

Ändringshanterare registreras för diverse GConfnycklar, samt meddelandehanterare för de D-Bus-metodanrop som mce tillhandahåller och signalhanterare för de D-Bus-signaler som mce lyssnar efter.

mce lyssnar även efter tangenttryckningar från av/på-knappen och från hemknappen. Om användaren trycker på av/på-knappen öppnas enhetslägesmenyn, förutom då knappen hålls intryck för minst 1,5 sekunder. I detta fall kommer enheten istället att stängas av.

Ett tryck på hemknappen resulterar i att en D-Bus-signal skickas (en annan signal används om knappen hålls nedtryckt i minst 1,5 sekunder).

Bland den övriga funktionalitet som hanteras av mce finns logiken för tryckskärms- och tangentlåset, samt uppstarts- och avstängningsbilden.

Slutligen övervakas även D-Bus-signaler från bme-dbus-proxy(8). Om en "batterinivån låg"-signal tas emot, skickar mce en signal till alla applikationer för att meddela att de bör spara all data. Om en "batteriet tomt"-signal tas emot, skickas en begäran till dsme att enheten skall stängas av.

FLAGGOR

-d, --daemonflag
    Exekvera mce som en bakgrundsprocess ("daemon")

-S, --session
    Använd sessionsbussen istället för systembussen vid D-Bus-kommunikation

--help
    Visa en hjälptext för kommandot

--version
    Visa versionsinformation och information om upphovsrätt

GCONF-NYCKLAR

/system/osso/dsm/dsm/locks/touchscreen_keypad_autolock_enabled
    bool (enbart läsning)
    Om denna nyckel har värdet TRUE, kommer tryckskärms- och tangentlåset att aktiveras när skärmen släcks. Om nyckeln har värdet FALSE, aktiveras låset endast att aktiveras om användaren väljer detta från enhetsmenyn, samt om enhetens lock sätts på.

/system/osso/dsm/dsm/locks/devicelock_autolock_enabled
    bool (enbart läsning)
    Om denna nyckel har värdet TRUE, kommer enheten att låsas när skärmen släckts och väntetiden förlöpt. Användaren kommer då att ombes ange enhetslåskoden när denne åter försöker använda enheten. Även vid uppstart ombes användaren att ange låskoden. Om nyckeln har värdet FALSE, är automatlåset avstängt.

/system/osso/dsm/dsm/locks/devicelock_autolock_timeout
    int (enbart läsning)
    Väntetid i antal sekunder innan enheten låses.

/system/osso/dsm/dsm/locks/devicelock_failed
    int (läsning/skrivning)
    Antal misslyckade försök att ange enhetslåskoden. Om detta värde inte är noll, kommer användaren att ombes ange låskoden vid uppstart. När den korrekta koden anges återställs detta värde till 0.

/system/osso/dsm/dsm/locks/devicelock_total_failed
    int (läsning/skrivning)
    Det totala antalet misslyckade försök att ange enhetslåskoden. Detta värde används endast för statistik.

/system/osso/dsm/display/display_brightness
    int (läsning/skrivning)
    Den ljusstyrka som skall användas för skärmen. Giltiga värden är 1 till 9.

/system/osso/dsm/display/display_dim_timeout
    int (enbart läsning)
    Väntetid i antal sekunder innan skärmens ljusstyrka dämpas.

/system/osso/dsm/display/display_blank_timeout
    int (enbart läsning)
    Väntetid i sekunder innan skärmen släcks.

FILER

/var/run/mce.pid
    Processidentitetsfil ("PID-file") som används av mce.

/var/lib/mce/mode
    Innehåller systemläget; giltiga värden är normal och flight. Den här filen bör aldrig ändras manuellt, och får inte modifieras av andra processer än mce, eftersom filen endast läses av mce när programmet startar.

SE ÄVEN
bme-dbus-proxy(8), devlock-blocker(8), dsme(8), mcetool(8)

HISTORIK
Okt 19 2007: Använd escape-sekvenser istället för bindestreck.
Apr 12 2007: Använd escape-sekvenser istället för latin-1.
Okt 23 2006: Smärre rättelser.
Sep 23 2005: Första svenska versionen av manualsidan.

FÖRFATTARE
mce och dess manualsida är skriven av David Weinehall <david.weinehall@nokia.com>

RAPPORTERA FEL
Rapportera fel till <david.weinehall@nokia.com>.

UPPHOVSRÄTT
Copyright © 2005-2007 Nokia Corporation. Alla rättigheter förbehållna.